cancel
Showing results for 
Search instead for 
Did you mean: 

CPS 8.0 Upgrade on NW 7.31

AK31
Participant
0 Kudos

Hello,

I am trying to install

ETPRJSCHEDULER33P_92-20007176.SCA 8.00.33.92

on a system which has ETPRJSCHEDULER  7.31.9.0 installed.

SUM won't let me upgrade to CPS 8.0:

Rejected due to following reason(s):

• 001 : Component sap.com/ETPRJSCHEDULER cannot be updated to higher release

• 005 : Component sap.com/ETPRJSCHEDULER is part of the following usage type: JOB-SCHED;

According to some OSS notes and the installation guide one should use JSPM but this is not supported anymore in NW 731.

How do I upgrade to CPS 8.0 now?

Regards

Andreas

Accepted Solutions (1)

Accepted Solutions (1)

h_carpenter
Active Contributor
0 Kudos

Hi Andreas,

Yes, that is a bit of a hassle we had as well ...

SUM only wants to install official Support Packages to upgrade installed usage types, so you would have to wait for the release of an Support Package with your desired version of CPS.

We followed SAP support suggestions:

1 Open the ''SAP Management Console'' (SAP MC).

2 From the ''Console Root'', choose the system you want to administer.

3 Navigate to the to the ''Process Table'' node.

4 In the right-hand pane, select the ''ICM'' and choose ''AS Java Telnet'' from the context-menu.

   * The Telnet administration console is opened.

5 Authenticate yourself with valid credentials (user name and password).

6 Issue "deploy /path/to/app/<file> on_deploy_error=stop"

Regards,

HP

Answers (2)

Answers (2)

AK31
Participant
0 Kudos

Hi everyone,

thanks for the input. I do know about the telnet option but I always think of it as the "quick & dirty" solution if you consider all the checks that the SUM tool does during patching.

Regards

Andreas

Former Member
0 Kudos

Hello,

Probably an old post, but just in case anyone still looking for it. SAP recommends to deploy as a business package:

1668455 - Installing SAP CPS 8.0 by Redwood on NW 7.30+


Regards,

Abhilash

nanda_kumar21
Active Contributor
0 Kudos

Hey Andreas,

For Redowood installation, did you select ETPRJSCHEDULER as a usage type?

Then, you can't update CPS to the latest using ETPRJSCHEDULER33P_xxxx.SCA via SUM tool.

All you can do is update the ETPRJSCHEDULER from SP09 to higher Support Pack level.

(Support Packages and Patches --> C" SAP CPS FOR NETWEAVER"--> SAP CPS FOR NW 7.31).

You can follow the alternate method mentioned by H.Carpenter.

However, i think (please correct if i'm wrong) if you didn't install ETPRJSCHEDULER as usage type during NW java installation, and deployed it after the NW java installation, you will be able to apply the latest patch available in

Support Packages and Patches --> C" SAP CPS FOR NETWEAVER"--> SAP CPS BY REDWOOD 8.0

One would assume that having ETPRJSCHEDULER SP09 means having SAP CPS M33.92, but that doesn't seem to be the case. I wish SAP would sync both in future and there will be just one patch to rule them all.

Thanks

Nanda

Message was edited by: Nanda Kumar